# Uses of Class
javax.swing.plaf.basic.BasicMenuUI

Packages that use BasicMenuUI
Package
Description
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.
javax.swing.plaf.synth
Synth is a skinnable look and feel in which all painting is delegated.

## Uses of BasicMenuUI in javax.swing.plaf.basic

Fields in javax.swing.plaf.basic declared as BasicMenuUI
Modifier and Type
Field
Description
`BasicMenuUI`
BasicMenuUI.ChangeHandler.`ui`
The instance of `BasicMenuUI`.
Constructors in javax.swing.plaf.basic with parameters of type BasicMenuUI
Modifier
Constructor
Description
``
`ChangeHandler(JMenu m, BasicMenuUI ui)`
Constructs a new instance of `ChangeHandler`.

## Uses of BasicMenuUI in javax.swing.plaf.synth

Subclasses of BasicMenuUI in javax.swing.plaf.synth
Modifier and Type
Class
Description
`class`
`SynthMenuUI`
Provides the Synth L&F UI delegate for `JMenu`.